# Update a GL Account

`PUT /lokta-lms/api/v1/glaccounts/{glAccountId}`

Updates a general ledger account.

Updates a GL Account

## Parameters
- `glAccountId` (path, integer, required): glAccountId

## Request body (application/json)
- `description` (string)
- `disabled` (boolean)
- `glCode` (string)
- `manualEntriesAllowed` (boolean)
- `name` (string)
- `parentId` (integer)
- `tagId` (integer)
- `type` (integer)
- `usage` (integer)

## Responses
- `200`: OK

## Response fields
- `changes` (PutGLAccountsResponsechangesSwagger)
- `resourceId` (integer)

## Example request (cURL)
```bash
curl -X PUT \
  'https://default.lokta.tech/lokta-lms/api/v1/glaccounts/{glAccountId}' \
  -u '{username}:{password}' \
  -H 'Tenant-Identifier: default' \
  -H 'Content-Type: application/json' \
  -d '{
  "description": "Desc",
  "disabled": false,
  "glCode": "100001",
  "manualEntriesAllowed": true,
  "name": "Cash at Bangalore",
  "parentId": 1,
  "tagId": 10,
  "type": 1,
  "usage": 1
}'
```

## Example response
```json
{
  "changes": {
    "name": "Cash at Bangalore"
  },
  "resourceId": 1
}
```

Interactive: https://developer.lokta.ai/reference#operation/updateGLAccount
